Bug 1408620 - Review Request: rdfind - Program that finds duplicate files
Summary: Review Request: rdfind - Program that finds duplicate files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-26 03:24 UTC by Gerd Pokorra
Modified: 2017-02-01 18:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 18:19:14 UTC
Type: ---
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Gerd Pokorra 2016-12-26 03:24:51 UTC
Spec URL: ftp://ftp.uni-siegen.de/pub/review/rdfind/spec/rdfind.spec
SRPM URL: 
ftp://ftp.uni-siegen.de/pub/review/rdfind/srpm/rdfind-1.3.4-1.fc25.src.rpm

Description:
Rdfind is a program that finds duplicate files. It is useful for compressing
backup directories or just finding duplicate files. It compares files based on
their content, NOT on their file names.

Fedora Account System Username: gerd

Comment 1 Igor Gnatenko 2016-12-29 14:15:17 UTC
* Group tag is not needed, remove
* Remove "A" from summary
* Missing BuildRequires: gcc and BuildRequires: gcc-c++
* License is GPLv2+, not GPLv2
* Source0:	https://rdfind.pauldreik.se/%{name}-%{version}.tar.gz -> Source0:	%{url}/%{name}-%{version}.tar.gz
* make %{?_smp_mflags} -> %make_build
* %{_mandir}/man1/%{name}.1.gz -> %{_mandir}/man1/%{name}.1*

Comment 3 Igor Gnatenko 2017-01-01 11:15:55 UTC
* rdfind.x86_64: E: incorrect-fsf-address /usr/share/licenses/rdfind/COPYING
Please report this to upstream.

Otherwise looks perfect!

Comment 4 Gerd Pokorra 2017-01-02 17:27:29 UTC
Thank you very much for the review.

The incorrect-fsf-address error is already reported to upstream.

Paul (the author) promised to fix this during January.

Comment 5 Kevin Fenzi 2017-01-02 21:13:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rdfind

Comment 6 Fedora Update System 2017-01-03 08:19:03 UTC
rdfind-1.3.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-51b14212ec

Comment 7 Fedora Update System 2017-01-03 08:19:11 UTC
rdfind-1.3.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-75e9c11a68

Comment 8 Fedora Update System 2017-01-03 22:21:11 UTC
rdfind-1.3.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-75e9c11a68

Comment 9 Fedora Update System 2017-01-03 23:50:38 UTC
rdfind-1.3.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-51b14212ec

Comment 10 Gerd Pokorra 2017-01-04 15:00:15 UTC
I got a pre-release from Paul. Paul fixes for us the incorrect-fsf-address error. rpmlint do not show an error any more:

$ rpmlint /home/gz016/rpmbuild/RPMS/x86_64/rdfind-1.3.5-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

The link ftp://ftp.uni-siegen.de/pub/review/rdfind/spec/rdfind.spec points to
ftp://ftp.uni-siegen.de/pub/review/rdfind/spec/rdfind.spec.3 now.

The new SRPM URL is:
ftp://ftp.uni-siegen.de/pub/review/rdfind/srpm/rdfind-1.3.5-1.fc25.src.rpm

May be you want to have a look at it again, Igor.

rawhide scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17162413

f25 scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17162493

Comment 11 Fedora Update System 2017-01-05 23:40:18 UTC
rdfind-1.3.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-07859562bb

Comment 12 Fedora Update System 2017-01-05 23:41:58 UTC
rdfind-1.3.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-59867b80e1

Comment 13 Fedora Update System 2017-01-06 23:20:42 UTC
rdfind-1.3.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-07859562bb

Comment 14 Fedora Update System 2017-01-07 01:18:46 UTC
rdfind-1.3.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-59867b80e1

Comment 15 Fedora Update System 2017-01-14 03:50:57 UTC
rdfind-1.3.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-15 09:21:54 UTC
rdfind-1.3.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-16 10:09:17 UTC
rdfind-1.3.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0e6638cc4e

Comment 18 Fedora Update System 2017-01-16 21:22:00 UTC
rdfind-1.3.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0e6638cc4e

Comment 19 Fedora Update System 2017-02-01 18:19:14 UTC
rdfind-1.3.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.